Bug 493408 - Can't use API to create virtual floppy drive with correct device name
Can't use API to create virtual floppy drive with correct device name
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-04-01 12:47 EDT by Michael DeHaan
Modified: 2009-04-09 13:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 11:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2009-04-01 12:47:26 EDT
Description of problem:

As seen here:  

https://www.redhat.com/archives/et-mgmt-tools/2009-March/msg00100.html AND 

https://www.redhat.com/archives/et-mgmt-tools/2009-April/msg00002.html

if I create a Virtual Disk in virtinst using the correct device type and the path to a disk ISO, the libvirt XML is generated to picks the wrong device file and the install cannot continue (/dev/hda is not a floppy drive).

I need this to do scripted Windows installs (ISO+fullvirt+answer file on floppy) from cobbler+koan.
Comment 1 Mark McLoughlin 2009-04-03 06:49:59 EDT
Fix is here:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virtinst--devel/rev/fd4baa6410d8

It applies just fine to the latest rawhide version, so maybe a good cherry-pick candidate
Comment 2 Cole Robinson 2009-04-09 11:20:53 EDT
Okay, build into python-virtinst-0.400.3-5.fc11. Closing as RAWHIDE.
Comment 3 Michael DeHaan 2009-04-09 11:36:23 EDT
Can you also see that this is fixed for F10?
Comment 4 Cole Robinson 2009-04-09 12:04:34 EDT
Sure, just built it. 0.400.3 hasn't been pushed to stable yet, but I will likely do that next week.
Comment 5 Michael DeHaan 2009-04-09 13:09:47 EDT
Thanks!!!

Note You need to log in before you can comment on or make changes to this bug.